The matrices in this topic illustrate the compatibility between various versions of SQL Server software used for source, staging target, and provisioning target environments. 

Source Environment OS Compatibility

Source environments can be running any supported Windows operating system version. There are no compatibility requirements between the source environment’s operating system and that on the target environments.

Staging and Provisioning Target Environment OS Compatibility Matrix

The operating system version on the target environment that will contain the virtual databases should be equal to or higher than that on the staging target. For more information, see Overview of Setting Up SQL Server Environments.


Source and Staging Environment SQL Server Compatibility Matrix

The SQL Server version on the staging environment should be equal to that on the source environment.


Source and Provisioning Environment SQL Server Compatibility Matrix

When provisioning a VDB, the SQL Server version on the target should be equal to or higher than that on the source.
 

Provisioning Target Environment

SQL Server 2008SQL Server 2008 R2SQL Server 2012SQL Server 2014SQL Server 2016SQL Server 2017
Source Environment





SQL Server 2008XXXXX
SQL Server 2008 R2
XXXXX
SQL Server 2012

XXXX
SQL Server 2014


XXX
SQL Server 2016



XX
SQL Server 2017




X

Provisioning to Higher SQL Versions When the Source is SQL Server 2005

For SQL Server 2005, direct provisioning to higher SQL Server versions is only supported for provisioning to SQL Server 2012 or higher. You can first provision a VDB to SQL Server 2005 and then upgrade it to a higher version by following the steps outlined in the topic Upgrading SQL Server VDBs.

SQL Server Support Matrix

Delphix only supports 64-bit operating systems.

Windows Server


Supported DBMS Version
SQL Server 2008SQL Server 2008 R2SQL Server 2012SQL Server 2014SQL Server 2016SQL Server 2017

Supported OS Version

Windows Server 2008SupportedSupportedSupportedSupportedN/AN/A

Windows Server 2008 SP2SupportedSupportedSupportedSupportedN/AN/A

Windows Server 2008 R2SupportedSupportedSupportedSupportedN/AN/A

Windows Server 2008 R2 SP1SupportedSupportedSupportedSupportedN/AN/A

Windows Server 2012SupportedSupportedSupportedSupportedSupportedSupported

Windows Server 2012 R2SupportedSupportedSupportedSupportedSupportedSupported

Windows Server 2016N/AN/ASupportedSupportedSupportedSupported

Windows Server 2017N/AN/ASupportedSupportedSupportedSupported

Windows Server 2019N/AN/AN/AN/ASupported in 5.3.3+Supported in 5.3.3+



Related Links